Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::FrameEvent Struct Reference

Struct containing information about a frame event. More...

`#include <OgreFrameListener.h>`

List of all members.

## Public Attributes
Real | timeSinceLastEvent
| Elapsed time in seconds since the last event.
Real | timeSinceLastFrame
| Elapsed time in seconds since the last event of the same type, i.e.

## Detailed Description

Struct containing information about a frame event.

Definition at line 39 of file OgreFrameListener.h.

## Member Data Documentation

Real Ogre::FrameEvent::timeSinceLastEvent

| Elapsed time in seconds since the last event. This gives you time between frame start & frame end, and between frame end and next frame start. Remarks: This may not be the elapsed time but the average elapsed time between recently fired events. Definition at line 48 of file OgreFrameListener.h.

Real Ogre::FrameEvent::timeSinceLastFrame

| Elapsed time in seconds since the last event of the same type, i.e. time for a complete frame. Remarks: This may not be the elapsed time but the average elapsed time between recently fired events of the same type. Definition at line 55 of file OgreFrameListener.h.

The documentation for this struct was generated from the following file:

- OgreFrameListener.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:16 2007